from abaqusConstants import *


class DisplayOptions:
    """The DisplayOptions object stores a plot state.

    Access
    ------
        - import visualization
        - session.viewports[name].layers[name].odbDisplay.display
        - session.viewports[name].odbDisplay.display

    Table Data
    ----------

    Corresponding analysis keywords
    -------------------------------

    """

    # A tuple of SymbolicConstants specifying the plot state of the display. Possible values 
    # are UNDEFORMED, DEFORMED, CONTOURS_ON_UNDEF, CONTOURS_ON_DEF, SYMBOLS_ON_UNDEF, 
    # SYMBOLS_ON_DEF, ORIENT_ON_UNDEF, and ORIENT_ON_DEF. The default value is (UNDEFORMED). 
    plotState: SymbolicConstant = None

    def setValues(self, options: 'DisplayOptions' = None, plotState: SymbolicConstant = None):
        """This method modifies the DisplayOptions object.

        Parameters
        ----------
        options
            A DisplayOptions object from which values are to be copied. If other arguments are also 
            supplied to setValues, they will override the values in *options*. The default value is 
            None. 
        plotState
            A sequence of SymbolicConstants specifying the plot state of the display. Possible 
            values are UNDEFORMED, DEFORMED, CONTOURS_ON_UNDEF, CONTOURS_ON_DEF, SYMBOLS_ON_UNDEF, 
            SYMBOLS_ON_DEF, ORIENT_ON_UNDEF, and ORIENT_ON_DEF. The default value is (UNDEFORMED). 

        Returns
        -------
            None. 

        Exceptions
        ----------
            None. 
        """
        pass
